## com.baidubce.services.ses.model
Class TokenModel

    java.lang.Object
      com.baidubce.services.ses.model.TokenModel

    public class TokenModel

extends Object

The token model object. It was contained by @link{DkimAttrModelTokenModel}.

Constructor Summary
`TokenModel()`

Method Summary
`String` `getCname()`
`String` `getDnsRecordName()`
`String` `getId()`
`String` `getPrivateKey()`
`String` `getPublicKey()`
`String` `getSelector()`
`void` `setCname(String cname)`
`void` `setDnsRecordName(String dnsRecordName)`
`void` `setId(String id)`
`void` `setPrivateKey(String privateKey)`
`void` `setPublicKey(String publicKey)`
`void` `setSelector(String selector)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenModel

    public TokenModel()

Method Detail

### getId

    public String getId()

### setId

    public void setId(String id)

### getPrivateKey

    public String getPrivateKey()

### setPrivateKey

    public void setPrivateKey(String privateKey)

### getPublicKey

    public String getPublicKey()

### setPublicKey

    public void setPublicKey(String publicKey)

### getSelector

    public String getSelector()

### setSelector

    public void setSelector(String selector)

### getCname

    public String getCname()

### setCname

    public void setCname(String cname)

### getDnsRecordName

    public String getDnsRecordName()

### setDnsRecordName

    public void setDnsRecordName(String dnsRecordName)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.